Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.cache.invalidation
Class ServletInvalidationContextFactory

    java.lang.Object
      |
      +--oracle.portal.provider.v2.cache.invalidation.ServletInvalidationContextFactory

public class ServletInvalidationContextFactory
extends java.lang.Object

Used to generate an `InvalidationContext` implementation object defined in the system property `oracle.portal.provider.invalidationclass.`

e.g. ``

     private void someFunction()
     {
       ServletInvalidationContext inv = ServletInvalidationContextFactory.getServletInvalidationContext();
     }

By using this factory class, implementation details are hidden from the client code.

A default class is used if the system property is not set.

Constructor Summary
`ServletInvalidationContextFactory()`

Method Summary
`static ServletInvalidationContext` | `getServletInvalidationContext()` Instantiate and return an invalidation context implementation class Uses default if no system property is set.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletInvalidationContextFactory

    public ServletInvalidationContextFactory()

Method Detail

### getServletInvalidationContext

    public static ServletInvalidationContext getServletInvalidationContext()
                                                                    throws InvalidationException

  Instantiate and return an invalidation context implementation class Uses default if no system property is set.
  Returns:
    the InvalidationContext type object
  Throws:
    `InvalidationException` - if an invalidation context can not be instantiated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002, Oracle Corporation. All Rights Reserved.